/** Write a program where you first enter a set
of name-and-value pairs, such as Joe 17 and
Barbara 22. For each pair, add the name to a
vector called names and the number to a
vector called scores (in corresponding positions,
so that if names[7]=="Joe" then scores[7]==17).
Terminate input with NoName 0. Check that each
name is unique and terminate with an error message
if a name is entered twice. Write out all the
(name,score) pairs, one per line.*/


#include <iostream>
#include <vector>

using namespace std;

struct variable {
    string name;
    double value;
    variable(string str, double val)
        : name(str), value(val) {}
};

int main()
{
    string s;
    double v{0};
    vector<variable> vv;
    while(cin >> s >> v) {
        vv.push_back(variable(s,v));
    }
    /// check what we got
    for(int i = 0; i < vv.size(); ++i)
        cout << vv[i].name << ", " << vv[i].value << endl;
    return 0;
}
